package com.dayou.mapper;

import com.dayou.dto.UserShareRate;
import com.dayou.entity.Major;
import com.dayou.entity.MajorProductionAllot;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 大中型产品绩效分配 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-02-19
 */
public interface MajorProductionAllotMapper extends CustomBaseMapper<MajorProductionAllot> {

    List<MajorProductionAllot> getList(@Param("productionId") Long productionId);

    Major findMembers(@Param("productionId") Long productionId);

    List<MajorProductionAllot> blankAllot(@Param("members") List<Long> members);

    void deleteByMajorProductionId(@Param("productionId")Long productionId);

    List<UserShareRate> allotRateByDeclareId(@Param("declareId")Long declareId);

    List<UserShareRate> getXList(@Param("productionId")Long productionId);
}
